--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
	self.pl = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
	
		if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_PL) then
			self.pl = not self.pl;
		end;
	end;
	
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.86, 0.21, 0.02, "Klawisz 9: Pomoc");
	 else
		if not self.pl then
		renderText(0.72, 0.25, 0.02, "");
		renderText(0.72, 0.82, 0.025, "- John Deere 5080M -");			
		renderText(0.72, 0.79, 0.02, "Klawisz 5: tylnia szyba");			
		renderText(0.72, 0.77, 0.02, "Klawisz 6: drzwi lewe");
		renderText(0.72, 0.75, 0.02, "Klawisz 7: drzwi prawe");
		renderText(0.72, 0.73, 0.02, "Klawisz 8: przedni naped");
		renderText(0.72, 0.71, 0.02, "Klawisz Z: tylni zaczep (wysokosc)");
		renderText(0.72, 0.69, 0.02, "Klawisz X: obciaznik (zaloz/zdejmij)");
		renderText(0.72, 0.67, 0.02, "Klawisz N: halogeny przod");
		renderText(0.72, 0.65, 0.02, "Klawisz M: halogeny tyl");
		renderText(0.72, 0.63, 0.02, "Kl. Pg Up/Pg Down: obroty silnika");
		renderText(0.72, 0.61, 0.02, "Klawisz K: odpal ciagnik");
		renderText(0.72, 0.59, 0.02, "Press L: change language menu");
		renderText(0.72, 0.55, 0.02, "by Krzysiek1105");
		else
		renderText(0.72, 0.25, 0.02, "");
		renderText(0.72, 0.82, 0.025, "- John Deere 5080M -");			
		renderText(0.72, 0.79, 0.02, "Press 5: back window");			
		renderText(0.72, 0.77, 0.02, "Press 6: left door");
		renderText(0.72, 0.75, 0.02, "Press 7: right door");
		renderText(0.72, 0.73, 0.02, "Press 8: front drive");
		renderText(0.72, 0.71, 0.02, "Press Z: back attacher (height)");
		renderText(0.72, 0.69, 0.02, "Press X: weight (show/hide)");
		renderText(0.72, 0.67, 0.02, "Press N: halogens front");
		renderText(0.72, 0.65, 0.02, "Press M: halogens back");
		renderText(0.72, 0.63, 0.02, "Pr. Pg Up/Pg Down: esl limiter");
		renderText(0.72, 0.61, 0.02, "Press K: manual ignition");
		renderText(0.72, 0.59, 0.02, "Klawisz L: zmien jezyk menu");
		renderText(0.72, 0.55, 0.02, "by Krzysiek1105");
		end;
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




